@import url('https://fonts.googleapis.com/css2?family=Playwrite+US+Modern:wght@100..400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=ABeeZee:ital@0;1&family=Playwrite+US+Modern:wght@100..400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ephesis&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Acme&family=Ephesis&display=swap');

@media (max-width: 800px) {
    body {
        background-color: #FFC5D3;
        margin: 0;
        font-size: 16px;
        padding-top: env(safe-area-inset-top, 20px);
    }
    button {
         font-family: "Acme", sans-serif;
        text-decoration: none;
    }
    a {
        text-decoration-color: #ffffff;
    }



    button:focus, 
a:focus {
    outline: none; /* remove aquela linha azul de foco */
}

    .first_img {
        background-image: url(imgs/mobile_background.svg);
        min-height: 183vh;
        width: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        background-position-y: top;
    }

    .welcome {
        color: #C8A2C8;
        text-align: center;
        margin-top: -153vh; /* menos agressivo */
    }

    .number {
        font-family: 'ABeeZee', sans-serif;
        font-size: 80px; /* reduz para telas pequenas */
    }

    .text {
        font-family: 'Playwrite US Modern', sans-serif;
        font-size: 28px;
    }

    .one_img {
        background-image: url(imgs/mobile_one.svg);
        height: 30vh;
        background-size: cover;
        background-position: center;
        margin-top: 40vh;
    }

    .tres_img {
        background-image: url(imgs/mobile_sec.svg);
        height: 105vh;
        max-height: 71vh;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        font-family: "Ephesis", cursive;
        font-size: 12px;
        display: flex;
        flex-direction: column;
        color: #636363;
        padding: 20px;
        overflow: hidden;
    }
    }

    .contador-container {
        text-align: center;
        color: white;
        font-size: 20px;
        font-family: "Acme", sans-serif;
        margin-top: 7vw;
    }

    .linha {
        width: 35%;
        height: 7px;
        background: white;
        margin: -9px auto;
    }

    .data-container {
        display: flex;
        justify-content: space-around;
        width: 100%;
        color: white;
        font-size: 20px;
        font-family: "Acme", sans-serif;
        margin-top: 50px;
    }

    .bloco {
        text-align: center;
        width: 45%;
    }

    .linha1 {
        width: 40%;
        height: 7px;
        background: white;
        margin: -9px auto;
    }

    .bolo {
        display: flex;
        justify-content: center;
        margin-top: -75px;
    }

    .bolo img {
        width: 110px;
    }

    .hora {
        text-align: center;
        color: white;
        margin-top: 40px;
    }

    .hora p {
        font-size: 20px;
        font-family: "Acme", sans-serif;
    }

    .four_img {
        background-image: url(imgs/4_img.svg);
        width: 100%;
        min-height: 60vh;
        background-size: cover;
        background-position: center;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        flex-direction: column;
        margin-top: 25px;
    }

    .four_img img {
        margin: 20px auto;
        width: 65%;       
        display: block;
    }

    .botao {
        display: block;
        margin: 20px auto;
        background-color: #cbb6d9;
        color: white;
        border: none;
        padding: 12px 30px;
        font-size: 16px;
        border-radius: 14px;
        cursor: pointer;
    }
    .five_img{
        background-image: url(imgs/final111.svg);
        width: 100%;
        min-height: 60vh;
        background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
        background-position-y: top;
}
    
    .six_img {
            background-image: url(imgs/final.svg);
            height: 35vh;
            max-height: 71vh;
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            font-family: "Acme", sans-serif;
            font-size: 10px;
            display: flex;
            flex-direction: column;
            color: #C8A2C8;
            padding: 20px;
            overflow: hidden;
            /* background-position-y: top; */
            margin-top: -40vh;
        
     }
    .six_img h1 {
        display: block;
       
    }

    .whatsapp-container  {
    display: flex;
    justify-content: space-between; /* 👈 separa um para cada lado */
    width: 100%; /* garante que ocupa toda a largura */
}

   .whatsapp, .nowhatsapp {
    display: flex;
    align-items: center;   /* centraliza vertical */
    justify-content: center; /* centraliza horizontal */
}

    .whatsapp {
        padding: 12px 20px;
        font-size: 13px;
        background-color: #cbb6d9;
        color: white;
        border: none;
        border-radius: 14px;
        margin-top: 40px;
    }
    .nowhatsapp{
        padding: 12px 20px;
        font-size: 13px;
        background-color: #cbb6d9;
        color: white;
        border: none;
        border-radius: 14px;
        margin-top: 40px;
        cursor: not-allowed;
    }
    footer {
        min-height: 24vh;
        background-size: cover;
        background-position: center;
        font-family: "Acme", sans-serif;
        font-size: 10px;
        color: #C8A2C8;
        padding: 2vh;
        top: 10px;
        

}
@media (max-width: 400px) {
    .six_img {
    background-image: url(imgs/final.svg);
    height: 35vh;
    max-height: 71vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    font-family: "Acme", sans-serif;
    font-size: 10px;
    display: flex;
    flex-direction: column;
    color: #C8A2C8;
    padding: 20px;
    overflow: hidden;
    /* background-position-y: top; */
    margin-top: -40vh;
    .whatsapp{
        padding: 12px 12px;
        font-size: 10px;
        background-color: #cbb6d9;
        color: white;
        border: none;
        border-radius: 14px;
        margin-top: 40px;
    }
    .nowhatsapp{
        padding: 12px 12px;
        font-size: 10px;
        background-color: #cbb6d9;
        color: white;
        border: none;
        border-radius: 14px;
        margin-top: 40px;
        cursor: not-allowed;
    }
    }
    footer {
        min-height: 24vh;
        background-size: cover;
        background-position: center;
        font-family: "Acme", sans-serif;
        font-size: 9px;
        color: #C8A2C8;
        padding: 2vh;
        top: 10px;
    }

}

footer h1{
    color: white;
}


    
/* efeito ao passar o rato */

    

    /* Scroll customizado rosa */
    * {
        scrollbar-width: thin;

    }

    /* Webkit (Chrome / Edge / Safari) */
    *::-webkit-scrollbar {
        width: 12px;
        height: 12px;
    }

    *::-webkit-scrollbar-track {
        background: #ffe6f2;
    }



  